Get saved query details
Server:
https://{kibana_url}
- GET /api/osquery/saved_queries/{id}
- GET /s/{space_id}/api/osquery/saved_queries/{id}
Refer to Spaces for more information.
Get the details of a saved query using the query ID.
Path Parameters
-
idstringrequired -
The saved query ID.
Response
Indicates a successful call.
-
dataobjectrequired -
created_atstring -
created_bystringnullable -
created_by_profile_uidstring -
descriptionstring -
The saved query description.
-
ecs_mappingobject -
Map osquery results columns or static values to Elastic Common Schema (ECS) fields
-
idstringrequired -
The ID of a saved query.
-
intervalinteger | string -
platformstring -
Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example,
linux,darwin. -
prebuiltboolean -
querystring -
The SQL query you want to run.
-
removedboolean -
Indicates whether the query is removed.
-
saved_object_idstringrequired -
snapshotboolean -
Indicates whether the query is a snapshot.
-
timeoutinteger -
updated_atstring -
updated_bystringnullable -
updated_by_profile_uidstring -
versioninteger | string